Subject: Re: bug#59617: 29.0.50; Add indent styles to all tree-sitter modes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Nov 2022 15:25:29 +0200

> From: Theodor Thornhill <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 28 Nov 2022 13:38:30 +0100
> 
> > Cannot we come up with a couple of popular styles for each language, and
> > have those styles ready to be selected by simple atom values in the
> > defcustom?
> >
> 
> I guess we could, but most other languages provided here have a pretty
> standard coding style, IIRC.

Only one standard style?  I'm surprised.  Even if the variations are much
less popular, they still deserve to be supported OOTB, IMO.

> Not saying it's not any variations.  This is meant mostly as an escape
> hatch if needed, so that a user _can_ provide their own indentation style
> should they need it.

If we don't expect anyone reasonable to try that, fine.  But if we do (and
a defcustom seems to say we do), then I'd provide a couple of other styles,
even if they are used much more rarely.

> > P.S. Btw, what about other indentation-related facilities, like "C-c C-q" in
> > CC Mode?
> 
> I'm planning on making those, yes

Thanks!